Bug 123937 - [patch] x11-toolkits/gtkdatabox2: update to
[patch] x11-toolkits/gtkdatabox2: update to
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: beech
Depends on:
  Show dependency treegraph
Reported: 2008-05-23 19:10 UTC by shuvaev
Modified: 2008-07-11 20:13 UTC (History)
0 users

See Also:

file.diff (4.92 KB, patch)
2008-05-23 19:10 UTC, shuvaev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shuvaev 2008-05-23 19:10:07 UTC
This is the update to the next version of gtkdatabox, and
again with maintainership claim.
Author's notes:

----------Author's notes----------------
Dear all,

a few minutes ago I released GtkDatabox- This release contains
the long awaited reference documentation for the GtkDatabox library
(volunteers for writing a tutorial are most welcome :-) ). It also
contains some minor interface changes stimulated by the documentation
efforts, aiming for consistency.
Please take a look at the ChangeLog:
- Added reference documentation via GtkDoc! Finally :-)
- Interface changes, inspired by the documentation:
- removed gtk_databox_redraw(). Please use gtk_widget_queue_draw()
- gtk_databox_graph_add(), gtk_databox_graph_remove(),
   gtk_databox_graph_remove_all() now return gint instead
   of gboolean or void (0 == success).
- Renamed signals (removed the "databox_" prefix and changed
   cancelled (British) to canceled (US) and harmonized:
   zoomed, selection_started, selection-changed, selection-finalized,
- Harmonized all horizontal/vertical things to x/y:
   gtk_databox_set_hadjustment() => gtk_databox_set_adjustment_x()
   gtk_databox_set_vadjustment() => gtk_databox_set_adjustment_y()
   gtk_databox_get_hadjustment() => gtk_databox_get_adjustment_x()
   gtk_databox_get_vadjustment() => gtk_databox_get_adjustment_y()
   gtk_databox_set_hruler() => gtk_databox_set_ruler_x()
   gtk_databox_set_vruler() => gtk_databox_set_ruler_y()
   gtk_databox_get_hruler() => gtk_databox_get_ruler_x()
   gtk_databox_get_vruler() => gtk_databox_get_ruler_y()
- Harmonized property names:
   adjustment-x, adjustment-y, ruler-x, ruler-y, scale-type-x,
   scale-type-y, enable-selection, enable-zoom
- Renamed GtkDataboxMarker to GtkDataboxMarkers (plural). This is
   now consistent with GtkDataboxPoints, GtkDataboxLines and
   GtkDataboxBars. If you use GtkDataboxMarkers, you need to replace
- moved GtkDataboxGraph@gc into GtkDataboxGraph@priv, introduced
   gtk_databox_graph_get_gc() and gtk_databox_graph_set_gc().
- GtkDatabox inherits from GtkWidget directly instead of
- Other changes:
   - gtk_databox_auto_rescale now also works in case of data which has
     zero width and/or zero height.
- BugFixes
   - gtk_databox_graph_set_size now actually changes the line width
     (thanks to Jim George)

As you can see, a lot of details have changed. Migration should be easy,
------------------end-of-Author's notes-------------------------

Notes to commiters:
Apart from adopting reference documentation and some changes in file
structure, the attached patch contains 2 port infrastructure changes:
        - Now port uses 100% static pkg-plist.
        - The port is renamed gtkdatabox2 -> gtkdatabox to line up
          with upstream naming and simplify the port.
          From the one hand, this change is a little bit too early
          since gtkdatabox (supporting gtk-1.X) was removed only
          2 weeks ago (07.05.2008).
          From the other hand, nothing in port system depends on gtkdatabox
          and the number of possible users are also presumably small.
          If it is not appropriate to repocopy the port so early,
          you can contact me so I will provide patch without renaming.

The new port was manually tested on amd64 8.0-CURRENT and
on the i386 7.0-RELEASE tinderbox.


Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-05-23 19:10:13 UTC
Maintainer of x11-toolkits/gtkdatabox2,

Please note that PR ports/123937 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2008-05-23 19:10:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 beech freebsd_committer 2008-07-09 21:48:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 4 dfilter freebsd_committer 2008-07-11 19:45:58 UTC
beech       2008-07-11 18:45:44 UTC

  FreeBSD ports repository

  Added files:
    x11-toolkits/gtkdatabox Makefile distinfo pkg-descr pkg-plist 
  - Pull from attic and update to
  - Pass maintainership to submitter
  PR:             ports/123937
  Submitted by:   Alexey Shuvaev <shuvaev@physik.uni-wuerzburg.de>
  Approved by:    portmgr, linimon (maintainer timeout >6 months)
  Revision  Changes    Path
  1.15      +64 -0     ports/x11-toolkits/gtkdatabox/Makefile (new)
  1.6       +3 -0      ports/x11-toolkits/gtkdatabox/distinfo (new)
  1.3       +6 -0      ports/x11-toolkits/gtkdatabox/pkg-descr (new)
  1.4       +64 -0     ports/x11-toolkits/gtkdatabox/pkg-plist (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2008-07-11 19:58:41 UTC
beech       2008-07-11 18:58:32 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/gtkdatabox2 Makefile 
  - Mark deprecated
  - Pass maintainership to submitter
  PR:             ports/123937
  Submitted by:   Alexey Shuvaev <shuvaev@physik.uni-wuerzburg.de>
  Approved by:    portmgr, linimon (maintainer timeout >6 months)
  Revision  Changes    Path
  1.23      +4 -1      ports/x11-toolkits/gtkdatabox2/Makefile
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 beech freebsd_committer 2008-07-11 20:13:22 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!